package org.jboss.soa.esb.samples.quickstart.juddiv3;

import java.net.URL;

import org.apache.juddi.v3.client.config.UDDIClerkManager;
import org.apache.juddi.v3.client.config.UDDIClientContainer;

import javax.xml.namespace.QName;
import javax.xml.ws.Service;

import org.uddi.api_v3.GetAuthToken;
import org.uddi.v3_service.UDDISecurityPortType;


public class RunPassingTest {

	public static void main(String ... args) throws Exception {
		URL url = Thread.currentThread().getContextClassLoader().getResource("esb.juddi.client.xml"); 

		UDDIClerkManager manager = new UDDIClerkManager(url.toURI().toString());
		manager.start();
			
		UDDIClientContainer.addClerkManager(manager);
		
		String securityUrl = manager.getClientConfig().getUDDINode("client-ws").getSecurityUrl();

		QName portName = new QName("urn:uddi-org:v3_service", "UDDI_Security_Port");
		
//		QName qName = new QName("urn:uddi-org:v3_service", "UDDI_Subscription_Port"); // taken from juddi source code
		QName qName = new QName("urn:uddi-org:v3_service", "UDDI_Service");
		Service service = Service.create(new URL(securityUrl), qName);
		UDDISecurityPortType securityService = (UDDISecurityPortType)
			service.getPort(portName, UDDISecurityPortType.class);
			//service.getPort(UDDISubscriptionPortType.class);
		
		GetAuthToken gToken = new GetAuthToken();
		gToken.setUserID("admin");
		gToken.setCred("");
		
		System.out.println("Got service: " + (securityService != null));
	}
	
}
